declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function BacktraceAt({ call }: Props): JSX.Element;
export declare function BlockProfile({ call }: Props): JSX.Element;
export declare function CpuProfile({ call }: Props): JSX.Element;
export declare function DumpBlock({ call }: Props): JSX.Element;
export declare function GcStats({ call }: Props): JSX.Element;
export declare function GetBlockRlp({ call }: Props): JSX.Element;
export declare function GoTrace({ call }: Props): JSX.Element;
export declare function MemStats({ call }: Props): JSX.Element;
export declare function SeedHash({ call }: Props): JSX.Element;
export declare function SetHead({ call }: Props): JSX.Element;
export declare function SetBlockProfileRate({ call }: Props): JSX.Element;
export declare function Stacks({ call }: Props): JSX.Element;
export declare function StartCPUProfile({ call }: Props): JSX.Element;
export declare function StartGoTrace({ call }: Props): JSX.Element;
export declare function StopCPUProfile({ call }: Props): JSX.Element;
export declare function StopGoTrace({ call }: Props): JSX.Element;
export declare function TraceBlock({ call }: Props): JSX.Element;
export declare function TraceBlockByNumber({ call }: Props): JSX.Element;
export declare function TraceBlockByHash({ call }: Props): JSX.Element;
export declare function TraceBlockFromFile({ call }: Props): JSX.Element;
export declare function StandardTraceBlockToFile({ call }: Props): JSX.Element;
export declare function StandardTraceBadBlockToFile({ call }: Props): JSX.Element;
export declare function TraceTransaction({ call }: Props): JSX.Element;
export declare function JavaScriptBasedTracing({ call }: Props): JSX.Element;
export declare function TraceCall({ call }: Props): JSX.Element;
export declare function Verbosity({ call }: Props): JSX.Element;
export declare function Vmodule({ call }: Props): JSX.Element;
export declare function WriteBlockProfile({ call }: Props): JSX.Element;
export declare function WriteMemProfile({ call }: Props): JSX.Element;
export declare function Debug({ call, host, port }: MethodProps): JSX.Element;
export {};
