declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function ProtocalVersion({ call }: Props): JSX.Element;
export declare function BlockNumber({ call }: Props): JSX.Element;
export declare function Syncing({ call }: Props): JSX.Element;
export declare function Coinbase({ call }: Props): JSX.Element;
export declare function Mining({ call }: Props): JSX.Element;
export declare function Hashrate({ call }: Props): JSX.Element;
export declare function GasPrice({ call }: Props): JSX.Element;
export declare function Accounts({ call }: Props): JSX.Element;
export declare function GetBalance({ call }: Props): JSX.Element;
export declare function GetStorageAt({ call }: Props): JSX.Element;
export declare function GetTransactionCount({ call }: Props): JSX.Element;
export declare function GetTransactionCountByHash({ call }: Props): JSX.Element;
export declare function GetBlockTransactionCountByHash({ call }: Props): JSX.Element;
export declare function GetBlockTransactionCountByNumber({ call }: Props): JSX.Element;
export declare function GetUncleCountByBlockHash({ call }: Props): JSX.Element;
export declare function GetUncleCountByBlockNumber({ call }: Props): JSX.Element;
export declare function GetCode({ call }: Props): JSX.Element;
export declare function Sign({ call }: Props): JSX.Element;
export declare function SignTransaction({ call }: Props): JSX.Element;
export declare function SendTranscation({ call }: Props): JSX.Element;
export declare function SendRawTransaction({ call }: Props): JSX.Element;
export declare function Call({ call }: Props): JSX.Element;
export declare function EstimateGas({ call }: Props): JSX.Element;
export declare function GetBlockByHash({ call }: Props): JSX.Element;
export declare function GetBlockByNumber({ call }: Props): JSX.Element;
export declare function GetTransactionByHash({ call }: Props): JSX.Element;
export declare function GetTransactionByHashAndIndex({ call }: Props): JSX.Element;
export declare function GetTransactionByBlockNumberAndIndex({ call }: Props): JSX.Element;
export declare function GetTransactionReceipt({ call }: Props): JSX.Element;
export declare function GetUncleByBlockHashAndIndex({ call }: Props): JSX.Element;
export declare function GetUncleByBlockNumberAndIndex({ call }: Props): JSX.Element;
export declare function GetCompliers({ call }: Props): JSX.Element;
export declare function CompileSolidity({ call }: Props): JSX.Element;
export declare function ComplpieLLL({ call }: Props): JSX.Element;
export declare function ComplieSerpent({ call }: Props): JSX.Element;
export declare function NewFilter({ call }: Props): JSX.Element;
export declare function NewBlockFilter({ call }: Props): JSX.Element;
export declare function NewPendingTransactionFilter({ call }: Props): JSX.Element;
export declare function UninstallFilter({ call }: Props): JSX.Element;
export declare function GetFilterChanges({ call }: Props): JSX.Element;
export declare function GetFilterLogs({ call }: Props): JSX.Element;
export declare function GetLogs({ call }: Props): JSX.Element;
export declare function GetWork({ call }: Props): JSX.Element;
export declare function SubmitWork({ call }: Props): JSX.Element;
export declare function SubmitHashrate({ call }: Props): JSX.Element;
export declare function Json_rpc_methods({ call, host, port }: MethodProps): JSX.Element;
export {};
