declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function ImportRawKey({ call }: Props): JSX.Element;
export declare function ListAccounts({ call }: Props): JSX.Element;
export declare function LockAccount({ call }: Props): JSX.Element;
export declare function NewAccount({ call }: Props): JSX.Element;
export declare function UnlockAccount({ call }: Props): JSX.Element;
export declare function SendTransaction({ call }: Props): JSX.Element;
export declare function Sign({ call }: Props): JSX.Element;
export declare function EcRecover({ call }: Props): JSX.Element;
export declare function Personal({ call, host, port }: MethodProps): JSX.Element;
export {};
