function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var materialUi = require('@rjsf/material-ui');
var React = _interopDefault(require('react'));
var material = require('@mui/material');
var clientJs = require('@open-rpc/client-js');

// A type of promise-like that resolves synchronously and supports only one observer

const _iteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.iterator || (Symbol.iterator = Symbol("Symbol.iterator"))) : "@@iterator";

const _asyncIteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.asyncIterator || (Symbol.asyncIterator = Symbol("Symbol.asyncIterator"))) : "@@asyncIterator";

// Asynchronously call a function and send errors to recovery continuation
function _catch(body, recover) {
	try {
		var result = body();
	} catch(e) {
		return recover(e);
	}
	if (result && result.then) {
		return result.then(void 0, recover);
	}
	return result;
}

function AddPeer(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "addPeer",
    "description": "The addPeer administrative method requests adding a new remote node to the list of tracked static nodes. The node will try to maintain connectivity to these nodes at all times, reconnecting every once in a while if the remote connection goes down. The method accepts a single argument, the enode URL of the remote peer to start tracking and returns a BOOL indicating whether the peer was accepted for tracking or some error occurred.",
    "type": "object",
    "properties": {
      "enode": {
        "type": "string",
        "title": "enode"
      }
    },
    "required": ["enode"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Datadir(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "datadir",
    "description": "The datadir administrative property can be queried for the absolute path the running Getd node currently uses to store all its databases.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function NodeInfo(_ref3) {
  var call = _ref3.call;

  var _React$useState5 = React.useState(),
      values = _React$useState5[0],
      setValues = _React$useState5[1];

  var _React$useState6 = React.useState(),
      errors = _React$useState6[0],
      setErrors = _React$useState6[1];

  var schema = {
    "title": "nodeInfo",
    "description": "The nodeInfo administrative property can be queried for all the information known about the running Getd node at the networking granularity. These include general information about the node itself as a participant of the ÐΞVp2p P2P overlay protocol, as well as specialized information added by each of the running application protocols (e.g. etd, les, shh, bzz).",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp6 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp6 && _temp6.then ? _temp6.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Peers(_ref4) {
  var call = _ref4.call;

  var _React$useState7 = React.useState(),
      values = _React$useState7[0],
      setValues = _React$useState7[1];

  var _React$useState8 = React.useState(),
      errors = _React$useState8[0],
      setErrors = _React$useState8[1];

  var schema = {
    "title": "peers",
    "description": "The peers administrative property can be queried for all the information known about the connected remote nodes at the networking granularity. These include general information about the nodes themselves as participants of the ÐΞVp2p P2P overlay protocol, as well as specialized information added by each of the running application protocols (e.g. etd, les, shh, bzz).",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp8 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp8 && _temp8.then ? _temp8.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StartRPC(_ref5) {
  var call = _ref5.call;

  var _React$useState9 = React.useState(),
      values = _React$useState9[0],
      setValues = _React$useState9[1];

  var _React$useState10 = React.useState(),
      errors = _React$useState10[0],
      setErrors = _React$useState10[1];

  var schema = {
    "title": "startRPC",
    "description": "The startRPC administrative method starts an HTTP based JSON RPC API webserver to handle client requests. All the parameters are optional.",
    "type": "object",
    "properties": {
      "host": {
        "type": "string",
        "title": "host"
      },
      "port": {
        "type": "number",
        "title": "port"
      },
      "cors": {
        "type": "string",
        "title": "cors"
      },
      "apis": {
        "type": "string",
        "title": "apis"
      }
    },
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp10 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp10 && _temp10.then ? _temp10.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StartWS(_ref6) {
  var call = _ref6.call;

  var _React$useState11 = React.useState(),
      values = _React$useState11[0],
      setValues = _React$useState11[1];

  var _React$useState12 = React.useState(),
      errors = _React$useState12[0],
      setErrors = _React$useState12[1];

  var schema = {
    "title": "startWS",
    "description": "The startWS administrative method starts an WebSocket based JSON RPC API webserver to handle client requests. All the parameters are optional",
    "type": "object",
    "properties": {
      "host": {
        "type": "string",
        "title": "host"
      },
      "port": {
        "type": "number",
        "title": "port"
      },
      "cors": {
        "type": "string",
        "title": "cors"
      },
      "apis": {
        "type": "string",
        "title": "apis"
      }
    },
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp12 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp12 && _temp12.then ? _temp12.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StopRPC(_ref7) {
  var call = _ref7.call;

  var _React$useState13 = React.useState(),
      values = _React$useState13[0],
      setValues = _React$useState13[1];

  var _React$useState14 = React.useState(),
      errors = _React$useState14[0],
      setErrors = _React$useState14[1];

  var schema = {
    "title": "stopRPC",
    "description": "The stopRPC administrative method closes the currently open HTTP RPC endpoint. As the node can only have a single HTTP endpoint running, this method takes no parameters, returning a boolean whether the endpoint was closed or not.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp14 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp14 && _temp14.then ? _temp14.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StopWS(_ref8) {
  var call = _ref8.call;

  var _React$useState15 = React.useState(),
      values = _React$useState15[0],
      setValues = _React$useState15[1];

  var _React$useState16 = React.useState(),
      errors = _React$useState16[0],
      setErrors = _React$useState16[1];

  var schema = {
    "title": "stopWS",
    "description": "The stopWS administrative method closes the currently open WebSocket RPC endpoint. As the node can only have a single WebSocket endpoint running, this method takes no parameters, returning a boolean whether the endpoint was closed or not.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp16 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp16 && _temp16.then ? _temp16.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Admin(_ref9) {
  var call = _ref9.call,
      host = _ref9.host,
      port = _ref9.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp19 = function _temp19(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp20 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp20 && _temp20.then ? _temp20.then(_temp19) : _temp19(_temp20));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(AddPeer, {
    call: callRPC
  }), React.createElement(Datadir, {
    call: callRPC
  }), React.createElement(NodeInfo, {
    call: callRPC
  }), React.createElement(Peers, {
    call: callRPC
  }), React.createElement(StartRPC, {
    call: callRPC
  }), React.createElement(StartWS, {
    call: callRPC
  }), React.createElement(StopRPC, {
    call: callRPC
  }), React.createElement(StopWS, {
    call: callRPC
  }));
}

function GetSnapshot(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "getSnapshot",
    "description": "Retrieves a snapshot of all clique state at a given block.",
    "type": "object",
    "properties": {
      "number": {
        "type": "number",
        "title": "number"
      }
    },
    "required": ["number"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetSnapshotAtHash(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "getSnapshotAtHash",
    "description": "Retrieves the state snapshot at a given block.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetSigners(_ref3) {
  var call = _ref3.call;

  var _React$useState5 = React.useState(),
      values = _React$useState5[0],
      setValues = _React$useState5[1];

  var _React$useState6 = React.useState(),
      errors = _React$useState6[0],
      setErrors = _React$useState6[1];

  var schema = {
    "title": "getSigners",
    "description": "Retrieves the list of authorized signers at the specified block.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp6 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp6 && _temp6.then ? _temp6.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Proposals(_ref4) {
  var call = _ref4.call;

  var _React$useState7 = React.useState(),
      values = _React$useState7[0],
      setValues = _React$useState7[1];

  var _React$useState8 = React.useState(),
      errors = _React$useState8[0],
      setErrors = _React$useState8[1];

  var schema = {
    "title": "proposals",
    "description": "Returns the current proposals the node is voting on.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp8 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp8 && _temp8.then ? _temp8.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Propose(_ref5) {
  var call = _ref5.call;

  var _React$useState9 = React.useState(),
      values = _React$useState9[0],
      setValues = _React$useState9[1];

  var _React$useState10 = React.useState(),
      errors = _React$useState10[0],
      setErrors = _React$useState10[1];

  var schema = {
    "title": "propose",
    "description": "Adds a new authorization proposal that the signer will attempt to push through. If the auth parameter is true, the local signer votes for the given address to be included in the set of authorized signers. With auth set to false, the vote is against the address.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp10 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp10 && _temp10.then ? _temp10.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Discard(_ref6) {
  var call = _ref6.call;

  var _React$useState11 = React.useState(),
      values = _React$useState11[0],
      setValues = _React$useState11[1];

  var _React$useState12 = React.useState(),
      errors = _React$useState12[0],
      setErrors = _React$useState12[1];

  var schema = {
    "title": "discard",
    "description": "This method drops a currently running proposal. The signer will not cast further votes (either for or against) the address.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp12 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp12 && _temp12.then ? _temp12.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Status(_ref7) {
  var call = _ref7.call;

  var _React$useState13 = React.useState(),
      values = _React$useState13[0],
      setValues = _React$useState13[1];

  var _React$useState14 = React.useState(),
      errors = _React$useState14[0],
      setErrors = _React$useState14[1];

  var schema = {
    "title": "status",
    "description": "This is a debugging method which returns statistics about signer activity for the last 64 blocks.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp14 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp14 && _temp14.then ? _temp14.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Clique(_ref8) {
  var call = _ref8.call,
      host = _ref8.host,
      port = _ref8.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp17 = function _temp17(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp18 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp18 && _temp18.then ? _temp18.then(_temp17) : _temp17(_temp18));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(GetSnapshot, {
    call: callRPC
  }), React.createElement(GetSnapshotAtHash, {
    call: callRPC
  }), React.createElement(GetSigners, {
    call: callRPC
  }), React.createElement(Proposals, {
    call: callRPC
  }), React.createElement(Propose, {
    call: callRPC
  }), React.createElement(Discard, {
    call: callRPC
  }), React.createElement(Status, {
    call: callRPC
  }));
}

function BacktraceAt(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "backtraceAt",
    "description": "Sets the logging backtrace location. When a backtrace location is set and a log message is emitted at that location, the stack of the goroutine executing the log statement will be printed to stderr. The location is specified as <filename>:<line>.",
    "type": "object",
    "properties": {
      "locationJavascript_based": {
        "type": "string",
        "title": "locationJavascript_based"
      }
    },
    "required": ["locationJavascript_based"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function BlockProfile(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "blockProfile",
    "description": "Turns on block profiling for the given duration and writes profile data to disk. It uses a profile rate of 1 for most accurate information. If a different rate is desired, set the rate and write the profile manually using debug_writeBlockProfile.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function CpuProfile(_ref3) {
  var call = _ref3.call;

  var _React$useState5 = React.useState(),
      values = _React$useState5[0],
      setValues = _React$useState5[1];

  var _React$useState6 = React.useState(),
      errors = _React$useState6[0],
      setErrors = _React$useState6[1];

  var schema = {
    "title": "cpuProfile",
    "description": "Turns on CPU profiling for the given duration and writes profile data to disk.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp6 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp6 && _temp6.then ? _temp6.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function DumpBlock(_ref4) {
  var call = _ref4.call;

  var _React$useState7 = React.useState(),
      values = _React$useState7[0],
      setValues = _React$useState7[1];

  var _React$useState8 = React.useState(),
      errors = _React$useState8[0],
      setErrors = _React$useState8[1];

  var schema = {
    "title": "dumpBlock",
    "description": "Retrieves the state that corresponds to the block number and returns a list of accounts (including storage and code).",
    "type": "object",
    "properties": {
      "blockNum": {
        "type": "number",
        "title": "blockNum"
      }
    },
    "required": ["blockNum"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp8 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp8 && _temp8.then ? _temp8.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GcStats(_ref5) {
  var call = _ref5.call;

  var _React$useState9 = React.useState(),
      values = _React$useState9[0],
      setValues = _React$useState9[1];

  var _React$useState10 = React.useState(),
      errors = _React$useState10[0],
      setErrors = _React$useState10[1];

  var schema = {
    "title": "gcStats",
    "description": "Returns GC statistics. See https://golang.org/pkg/runtime/debug/#GCStats for information about the fields of the returned object.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp10 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp10 && _temp10.then ? _temp10.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetBlockRlp(_ref6) {
  var call = _ref6.call;

  var _React$useState11 = React.useState(),
      values = _React$useState11[0],
      setValues = _React$useState11[1];

  var _React$useState12 = React.useState(),
      errors = _React$useState12[0],
      setErrors = _React$useState12[1];

  var schema = {
    "title": "getBlockRlp",
    "description": "Retrieves and returns the RLP encoded block by number. References -> RLP",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp12 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp12 && _temp12.then ? _temp12.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GoTrace(_ref7) {
  var call = _ref7.call;

  var _React$useState13 = React.useState(),
      values = _React$useState13[0],
      setValues = _React$useState13[1];

  var _React$useState14 = React.useState(),
      errors = _React$useState14[0],
      setErrors = _React$useState14[1];

  var schema = {
    "title": "goTrace",
    "description": "Turns on Go runtime tracing for the given duration and writes trace data to disk.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp14 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp14 && _temp14.then ? _temp14.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function MemStats(_ref8) {
  var call = _ref8.call;

  var _React$useState15 = React.useState(),
      values = _React$useState15[0],
      setValues = _React$useState15[1];

  var _React$useState16 = React.useState(),
      errors = _React$useState16[0],
      setErrors = _React$useState16[1];

  var schema = {
    "title": "memStats",
    "description": "Returns detailed runtime memory statistics. See https://golang.org/pkg/runtime/#MemStats for information about the fields of the returned object.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp16 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp16 && _temp16.then ? _temp16.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SeedHash(_ref9) {
  var call = _ref9.call;

  var _React$useState17 = React.useState(),
      values = _React$useState17[0],
      setValues = _React$useState17[1];

  var _React$useState18 = React.useState(),
      errors = _React$useState18[0],
      setErrors = _React$useState18[1];

  var schema = {
    "title": "seedHash",
    "description": "Fetches and retrieves the seed hash of the block by number",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp18 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp18 && _temp18.then ? _temp18.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SetHead(_ref10) {
  var call = _ref10.call;

  var _React$useState19 = React.useState(),
      values = _React$useState19[0],
      setValues = _React$useState19[1];

  var _React$useState20 = React.useState(),
      errors = _React$useState20[0],
      setErrors = _React$useState20[1];

  var schema = {
    "title": "setHead",
    "description": "Sets the current head of the local chain by block number. Note, this is a destructive action and may severely damage your chain. Use with extreme caution. References -> Ethash",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp20 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp20 && _temp20.then ? _temp20.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SetBlockProfileRate(_ref11) {
  var call = _ref11.call;

  var _React$useState21 = React.useState(),
      values = _React$useState21[0],
      setValues = _React$useState21[1];

  var _React$useState22 = React.useState(),
      errors = _React$useState22[0],
      setErrors = _React$useState22[1];

  var schema = {
    "title": "setBlockProfileRate",
    "description": "Sets the rate (in samples/sec) of goroutine block profile data collection. A non-zero rate enables block profiling, setting it to zero stops the profile. Collected profile data can be written using debug_writeBlockProfile.",
    "type": "object",
    "properties": {
      "rate": {
        "type": "number",
        "title": "rate"
      }
    },
    "required": ["rate"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp22 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp22 && _temp22.then ? _temp22.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Stacks(_ref12) {
  var call = _ref12.call;

  var _React$useState23 = React.useState(),
      values = _React$useState23[0],
      setValues = _React$useState23[1];

  var _React$useState24 = React.useState(),
      errors = _React$useState24[0],
      setErrors = _React$useState24[1];

  var schema = {
    "title": "stacks",
    "description": "Returns a printed representation of the stacks of all goroutines. Note that the web3 wrapper for this method takes care of the printing and does not return the string.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp24 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp24 && _temp24.then ? _temp24.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StartCPUProfile(_ref13) {
  var call = _ref13.call;

  var _React$useState25 = React.useState(),
      values = _React$useState25[0],
      setValues = _React$useState25[1];

  var _React$useState26 = React.useState(),
      errors = _React$useState26[0],
      setErrors = _React$useState26[1];

  var schema = {
    "title": "startCPUProfile",
    "description": "Turns on CPU profiling indefinitely, writing to the given file.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp26 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp26 && _temp26.then ? _temp26.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StartGoTrace(_ref14) {
  var call = _ref14.call;

  var _React$useState27 = React.useState(),
      values = _React$useState27[0],
      setValues = _React$useState27[1];

  var _React$useState28 = React.useState(),
      errors = _React$useState28[0],
      setErrors = _React$useState28[1];

  var schema = {
    "title": "startGoTrace",
    "description": "Starts writing a Go runtime trace to the given file.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp28 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp28 && _temp28.then ? _temp28.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StopCPUProfile(_ref15) {
  var call = _ref15.call;

  var _React$useState29 = React.useState(),
      values = _React$useState29[0],
      setValues = _React$useState29[1];

  var _React$useState30 = React.useState(),
      errors = _React$useState30[0],
      setErrors = _React$useState30[1];

  var schema = {
    "title": "stopCPUProfile",
    "description": "Stops an ongoing CPU profile.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp30 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp30 && _temp30.then ? _temp30.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StopGoTrace(_ref16) {
  var call = _ref16.call;

  var _React$useState31 = React.useState(),
      values = _React$useState31[0],
      setValues = _React$useState31[1];

  var _React$useState32 = React.useState(),
      errors = _React$useState32[0],
      setErrors = _React$useState32[1];

  var schema = {
    "title": "stopGoTrace",
    "description": "Stops writing the Go runtime trace.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp32 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp32 && _temp32.then ? _temp32.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function TraceBlock(_ref17) {
  var call = _ref17.call;

  var _React$useState33 = React.useState(),
      values = _React$useState33[0],
      setValues = _React$useState33[1];

  var _React$useState34 = React.useState(),
      errors = _React$useState34[0],
      setErrors = _React$useState34[1];

  var schema = {
    "title": "traceBlock",
    "description": "The traceBlock method will return a full stack trace of all invoked opcodes of all transaction that were included in this block. Note, the parent of this block must be present or it will fail. References -> RLP",
    "type": "object",
    "properties": {
      "blockName": {
        "type": "string",
        "title": "blockName"
      }
    },
    "required": ["blockName"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp34 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp34 && _temp34.then ? _temp34.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function TraceBlockByNumber(_ref18) {
  var call = _ref18.call;

  var _React$useState35 = React.useState(),
      values = _React$useState35[0],
      setValues = _React$useState35[1];

  var _React$useState36 = React.useState(),
      errors = _React$useState36[0],
      setErrors = _React$useState36[1];

  var schema = {
    "title": "traceBlockByNumber",
    "description": "Similar to debug_traceBlock,traceBlockByNumber accepts a block number and will replay the block that is already present in the database. References -> RLP",
    "type": "object",
    "properties": {
      "blockNum": {
        "type": "string",
        "title": "blockNum"
      }
    },
    "required": ["blockNum"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp36 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp36 && _temp36.then ? _temp36.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function TraceBlockByHash(_ref19) {
  var call = _ref19.call;

  var _React$useState37 = React.useState(),
      values = _React$useState37[0],
      setValues = _React$useState37[1];

  var _React$useState38 = React.useState(),
      errors = _React$useState38[0],
      setErrors = _React$useState38[1];

  var schema = {
    "title": "traceBlockByHash",
    "description": "Similar to debug_traceBlock,traceBlockByHash accepts a block hash and will replay the block that is already present in the database. References -> RLP",
    "type": "object",
    "properties": {
      "blockHash": {
        "type": "string",
        "title": "blockHash"
      }
    },
    "required": ["blockHash"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp38 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp38 && _temp38.then ? _temp38.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function TraceBlockFromFile(_ref20) {
  var call = _ref20.call;

  var _React$useState39 = React.useState(),
      values = _React$useState39[0],
      setValues = _React$useState39[1];

  var _React$useState40 = React.useState(),
      errors = _React$useState40[0],
      setErrors = _React$useState40[1];

  var schema = {
    "title": "traceBlockFromFile",
    "description": "Similar to debug_traceBlock,traceBlockFromFile accepts a file containing the RLP of the block. References -> RLP",
    "type": "object",
    "properties": {
      "file": {
        "type": "string",
        "title": "file"
      }
    },
    "required": ["file"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp40 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp40 && _temp40.then ? _temp40.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StandardTraceBlockToFile(_ref21) {
  var call = _ref21.call;

  var _React$useState41 = React.useState(),
      values = _React$useState41[0],
      setValues = _React$useState41[1];

  var _React$useState42 = React.useState(),
      errors = _React$useState42[0],
      setErrors = _React$useState42[1];

  var schema = {
    "title": "standardTraceBlockToFile",
    "description": "When JS-based tracing (see below) was first implemented, the intended usecase was to enable long-running tracers that could stream results back via a subscription channel. This method works a bit differently. (For full details, see PR)\n-It streams output to disk during the execution, to not blow up the memory usage on the node -It uses jsonl as output format (to allow streaming) -Uses a cross-client standardized output, so called ‘standard json' ~Uses op for string-representation of opcode, instead of op/opName for numeric/string, and other simlar small differences. ~has refund ~Represents memory as a contiguous chunk of data, as opposed to a list of 32 byte segments like debug_traceTransaction\nThis means that this method is only ‘useful’ for callers who control the node – at least sufficiently to be able to read the artefacts from the filesystem after the fact.",
    "type": "object",
    "properties": {
      "block": {
        "type": "string",
        "title": "block"
      },
      "txHash": {
        "type": "string",
        "title": "txHash"
      },
      "disableMemory": {
        "type": "boolean",
        "title": "disableMemory"
      }
    },
    "required": ["block"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp42 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp42 && _temp42.then ? _temp42.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function StandardTraceBadBlockToFile(_ref22) {
  var call = _ref22.call;

  var _React$useState43 = React.useState(),
      values = _React$useState43[0],
      setValues = _React$useState43[1];

  var _React$useState44 = React.useState(),
      errors = _React$useState44[0],
      setErrors = _React$useState44[1];

  var schema = {
    "title": "standardTraceBadBlockToFile",
    "description": "This method is similar to debug_standardTraceBlockToFile, but can be used to obtain info about a block which has been rejected as invalid (for some reason).",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp44 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp44 && _temp44.then ? _temp44.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function TraceTransaction(_ref23) {
  var call = _ref23.call;

  var _React$useState45 = React.useState(),
      values = _React$useState45[0],
      setValues = _React$useState45[1];

  var _React$useState46 = React.useState(),
      errors = _React$useState46[0],
      setErrors = _React$useState46[1];

  var schema = {
    "title": "traceTransaction",
    "description": "OBS In most scenarios, debug.standardTraceBlockToFile is better suited for tracing! The traceTransaction debugging method will attempt to run the transaction in the exact same manner as it was executed on the network. It will replay any transaction that may have been executed prior to this one before it will finally attempt to execute the transaction that corresponds to the given hash.\nIn addition to the hash of the transaction you may give it a secondary optional argument, which specifies the options for this specific call. The possible options are\ndisableStorage: BOOL.   Setting this to true will disable storage capture (default = false). disableMemory:  BOOL.   Setting this to true will disable memory capture (default = false). disableStack:   BOOL.   Setting this to true will disable stack capture (default = false). tracer:         STRING. Setting this will enable JavaScript-based transaction tracing, described below. If set, the previous four arguments will be ignored. timeout:        STRING. Overrides the default timeout of 5 seconds for JavaScript-based tracing calls. Valid values are described here.",
    "type": "object",
    "properties": {
      "hash": {
        "type": "string",
        "title": "hash"
      },
      "disableStorage": {
        "type": "boolean",
        "title": "disableStorage"
      },
      "disableMemory": {
        "type": "boolean",
        "title": "disableMemory"
      },
      "disableStack": {
        "type": "boolean",
        "title": "disableStack"
      },
      "tracer": {
        "type": "string",
        "title": "tracer"
      },
      "timeout": {
        "type": "string",
        "title": "timeout"
      }
    },
    "required": ["hash"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp46 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp46 && _temp46.then ? _temp46.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function JavaScriptBasedTracing(_ref24) {
  var call = _ref24.call;

  var _React$useState47 = React.useState(),
      values = _React$useState47[0],
      setValues = _React$useState47[1];

  var _React$useState48 = React.useState(),
      errors = _React$useState48[0],
      setErrors = _React$useState48[1];

  var schema = {
    "title": "JavaScriptBasedTracing",
    "description": "Javascript",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp48 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp48 && _temp48.then ? _temp48.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function TraceCall(_ref25) {
  var call = _ref25.call;

  var _React$useState49 = React.useState(),
      values = _React$useState49[0],
      setValues = _React$useState49[1];

  var _React$useState50 = React.useState(),
      errors = _React$useState50[0],
      setErrors = _React$useState50[1];

  var schema = {
    "title": "traceCall",
    "description": "The debug_traceCall method lets you run an eth_call on top of a given block. The block can be specified either by hash or by number. It takes the same input object as a eth_call. It returns the same output as debug_traceTransaction. A tracer can be specified as a third argument, similar to debug_traceTransaction.\nObject - The transaction call object\nfrom:     DATA, 20 Bytes - (optional) The address the transaction is sent from. to:       DATA, 20 Bytes -            The address the transaction is directed to. gas:      QUANTITY       - (optional) Integer of the gas provided for the transaction execution. eth_call consumes zero gas, but this parameter may be needed by some executions. gasPrice: QUANTITY       - (optional) Integer of the gasPrice used for each paid gas value:    QUANTITY       - (optional) Integer of the value sent with this transaction data:     DATA           - (optional) Hash of the method signature and encoded parameters. For details see Ethereum Contract ABI in the Solidity documentation",
    "type": "object",
    "properties": {
      "to": {
        "type": "string",
        "title": "to"
      },
      "from": {
        "type": "string",
        "title": "from"
      },
      "gas": {
        "type": "string",
        "title": "gas"
      },
      "gasPrice": {
        "type": "number",
        "title": "gasPrice"
      },
      "value": {
        "type": "number",
        "title": "value"
      },
      "data": {
        "type": "string",
        "title": "data"
      }
    },
    "required": ["to"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp50 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp50 && _temp50.then ? _temp50.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Verbosity(_ref26) {
  var call = _ref26.call;

  var _React$useState51 = React.useState(),
      values = _React$useState51[0],
      setValues = _React$useState51[1];

  var _React$useState52 = React.useState(),
      errors = _React$useState52[0],
      setErrors = _React$useState52[1];

  var schema = {
    "title": "verbosity",
    "description": "Sets the logging verbosity ceiling. Log messages with level up to and including the given level will be printed. The verbosity of individual packages and source files can be raised using debug_vmodule.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp52 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp52 && _temp52.then ? _temp52.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Vmodule(_ref27) {
  var call = _ref27.call;

  var _React$useState53 = React.useState(),
      values = _React$useState53[0],
      setValues = _React$useState53[1];

  var _React$useState54 = React.useState(),
      errors = _React$useState54[0],
      setErrors = _React$useState54[1];

  var schema = {
    "title": "vmodule",
    "description": "Sets the logging verbosity pattern.",
    "type": "object",
    "properties": {
      "messageRestrictions": {
        "type": "string",
        "title": "messageRestrictions"
      }
    },
    "required": ["messageRestrictions"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp54 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp54 && _temp54.then ? _temp54.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function WriteBlockProfile(_ref28) {
  var call = _ref28.call;

  var _React$useState55 = React.useState(),
      values = _React$useState55[0],
      setValues = _React$useState55[1];

  var _React$useState56 = React.useState(),
      errors = _React$useState56[0],
      setErrors = _React$useState56[1];

  var schema = {
    "title": "writeBlockProfile",
    "description": "Writes a goroutine blocking profile to the given file.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp56 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp56 && _temp56.then ? _temp56.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function WriteMemProfile(_ref29) {
  var call = _ref29.call;

  var _React$useState57 = React.useState(),
      values = _React$useState57[0],
      setValues = _React$useState57[1];

  var _React$useState58 = React.useState(),
      errors = _React$useState58[0],
      setErrors = _React$useState58[1];

  var schema = {
    "title": "writeMemProfile",
    "description": "Writes an allocation profile to the given file. Note that the profiling rate cannot be set through the API, it must be set on the command line using the --pprof.memprofilerate flag.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp58 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp58 && _temp58.then ? _temp58.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Debug(_ref30) {
  var call = _ref30.call,
      host = _ref30.host,
      port = _ref30.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp61 = function _temp61(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp62 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp62 && _temp62.then ? _temp62.then(_temp61) : _temp61(_temp62));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(BacktraceAt, {
    call: callRPC
  }), React.createElement(BlockProfile, {
    call: callRPC
  }), React.createElement(CpuProfile, {
    call: callRPC
  }), React.createElement(DumpBlock, {
    call: callRPC
  }), React.createElement(GcStats, {
    call: callRPC
  }), React.createElement(GetBlockRlp, {
    call: callRPC
  }), React.createElement(GoTrace, {
    call: callRPC
  }), React.createElement(MemStats, {
    call: callRPC
  }), React.createElement(SeedHash, {
    call: callRPC
  }), React.createElement(SetHead, {
    call: callRPC
  }), React.createElement(SetBlockProfileRate, {
    call: callRPC
  }), React.createElement(Stacks, {
    call: callRPC
  }), React.createElement(StartCPUProfile, {
    call: callRPC
  }), React.createElement(StartGoTrace, {
    call: callRPC
  }), React.createElement(StopCPUProfile, {
    call: callRPC
  }), React.createElement(StopGoTrace, {
    call: callRPC
  }), React.createElement(TraceBlock, {
    call: callRPC
  }), React.createElement(TraceBlockByNumber, {
    call: callRPC
  }), React.createElement(TraceBlockByHash, {
    call: callRPC
  }), React.createElement(TraceBlockFromFile, {
    call: callRPC
  }), React.createElement(StandardTraceBlockToFile, {
    call: callRPC
  }), React.createElement(StandardTraceBadBlockToFile, {
    call: callRPC
  }), React.createElement(TraceTransaction, {
    call: callRPC
  }), React.createElement(JavaScriptBasedTracing, {
    call: callRPC
  }), React.createElement(TraceCall, {
    call: callRPC
  }), React.createElement(Verbosity, {
    call: callRPC
  }), React.createElement(Vmodule, {
    call: callRPC
  }), React.createElement(WriteBlockProfile, {
    call: callRPC
  }), React.createElement(WriteMemProfile, {
    call: callRPC
  }));
}

function Subscribe(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "subscribe",
    "description": "This method is used for real-time events through subscriptions. See the subscription documentation for more information.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Unsubscribe(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "unsubscribe",
    "description": "This method is used for real-time events through subscriptions. See the subscription documentation for more information.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Etd(_ref3) {
  var call = _ref3.call,
      host = _ref3.host,
      port = _ref3.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp7 = function _temp7(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp8 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp8 && _temp8.then ? _temp8.then(_temp7) : _temp7(_temp8));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(Subscribe, {
    call: callRPC
  }), React.createElement(Unsubscribe, {
    call: callRPC
  }));
}

function ImportRawKey(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "importRawKey",
    "description": "Imports the given unencrypted private key (hex string) into the key store, encrypting it with the passphrase. Returns the address of the new account.",
    "type": "object",
    "properties": {
      "priveteKey": {
        "type": "string",
        "title": "priveteKey"
      }
    },
    "required": ["priveteKey"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function ListAccounts(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "listAccounts",
    "description": "Returns all the Ethereum account addresses of all keys in the key store.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function LockAccount(_ref3) {
  var call = _ref3.call;

  var _React$useState5 = React.useState(),
      values = _React$useState5[0],
      setValues = _React$useState5[1];

  var _React$useState6 = React.useState(),
      errors = _React$useState6[0],
      setErrors = _React$useState6[1];

  var schema = {
    "title": "lockAccount",
    "description": "Removes the private key with given address from memory. The account can no longer be used to send transactions.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp6 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp6 && _temp6.then ? _temp6.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function NewAccount(_ref4) {
  var call = _ref4.call;

  var _React$useState7 = React.useState(),
      values = _React$useState7[0],
      setValues = _React$useState7[1];

  var _React$useState8 = React.useState(),
      errors = _React$useState8[0],
      setErrors = _React$useState8[1];

  var schema = {
    "title": "newAccount",
    "description": "Generates a new private key and stores it in the key store directory. The key file is encrypted with the given passphrase. Returns the address of the new account.\nAt the Getd console, newAccount will prompt for a passphrase when it is not supplied as the argument.",
    "type": "object",
    "properties": {
      "passphrase": {
        "type": "string",
        "title": "passphrase"
      }
    },
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp8 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp8 && _temp8.then ? _temp8.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function UnlockAccount(_ref5) {
  var call = _ref5.call;

  var _React$useState9 = React.useState(),
      values = _React$useState9[0],
      setValues = _React$useState9[1];

  var _React$useState10 = React.useState(),
      errors = _React$useState10[0],
      setErrors = _React$useState10[1];

  var schema = {
    "title": "unlockAccount",
    "description": "Decrypts the key with the given address from the key store.\nBoth passphrase and unlock duration are optional when using the JavaScript console. If the passphrase is not supplied as an argument, the console will prompt for the passphrase interactively.\nThe unencrypted key will be held in memory until the unlock duration expires. If the unlock duration defaults to 300 seconds. An explicit duration of zero seconds unlocks the key until Getd exits.\nThe account can be used with etd_sign and etd_sendTransaction while it is unlocked.",
    "type": "object",
    "properties": {
      "accountAddress": {
        "type": "string",
        "title": "accountAddress"
      },
      "passphrase": {
        "type": "string",
        "title": "passphrase"
      },
      "unlockDuration": {
        "type": "number",
        "title": "unlockDuration"
      }
    },
    "required": ["accountAddress"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp10 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp10 && _temp10.then ? _temp10.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SendTransaction(_ref6) {
  var call = _ref6.call;

  var _React$useState11 = React.useState(),
      values = _React$useState11[0],
      setValues = _React$useState11[1];

  var _React$useState12 = React.useState(),
      errors = _React$useState12[0],
      setErrors = _React$useState12[1];

  var schema = {
    "title": "sendTransaction",
    "description": 'Validate the given passphrase and submit transaction.\nThe transaction is the same argument as for etd_sendTransaction and contains the from address. If the passphrase can be used to decrypt the private key belogging to tx.from the transaction is verified, signed and send onto the network. The account is not unlocked globally in the node and cannot be used in other RPC calls.\nNote, prior to Getd 1.5, please use personal_signAndSendTransaction as that was the original introductory name and only later renamed to the current final version.\nExample \'> var tx = {from\':\' "0x391694e7e0b0cce554cb130d723a9d27458f9298", to\':\' "0xafa3f8684e54059998bc3a7b0d2b0da075154d66", value\':\' web3.toWei(1.23, "ether")} undefined "> personal.sendTransaction(tx, "passphrase")" 0x8474441674cdd47b35b875fd1a530b800b51a5264b9975fb21129eeb8c18582f\'',
    "type": "object",
    "properties": {
      "tx": {
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "title": "from"
          },
          "to": {
            "type": "string",
            "title": "to"
          },
          "value": {
            "type": "string",
            "title": "value"
          }
        }
      }
    },
    "required": ["tx"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp12 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp12 && _temp12.then ? _temp12.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Sign(_ref7) {
  var call = _ref7.call;

  var _React$useState13 = React.useState(),
      values = _React$useState13[0],
      setValues = _React$useState13[1];

  var _React$useState14 = React.useState(),
      errors = _React$useState14[0],
      setErrors = _React$useState14[1];

  var schema = {
    "title": "sign",
    "description": "The sign method calculates an Ethereum specific signature with ' sign(keccack256(\"\\x19Ethereum Signed Message:\\n\" + len(message) + message))). '\nBy adding a prefix to the message makes the calculated signature recognisable as an Ethereum specific signature. This prevents misuse where a malicious DApp can sign arbitrary data (e.g. transaction) and use the signature to impersonate the victim.\nSee ecRecover to verify the signature.",
    "type": "object",
    "properties": {
      "a": {
        "type": "string",
        "title": "a"
      },
      "b": {
        "type": "string",
        "title": "b"
      },
      "c": {
        "type": "string",
        "title": "c"
      }
    },
    "required": ["a", "b", "c"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp14 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp14 && _temp14.then ? _temp14.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function EcRecover(_ref8) {
  var call = _ref8.call;

  var _React$useState15 = React.useState(),
      values = _React$useState15[0],
      setValues = _React$useState15[1];

  var _React$useState16 = React.useState(),
      errors = _React$useState16[0],
      setErrors = _React$useState16[1];

  var schema = {
    "title": "ecRecover",
    "description": "ecRecover returns the address associated with the private key that was used to calculate the signature in personal_sign.",
    "type": "object",
    "properties": {
      "a": {
        "type": "string",
        "title": "a"
      },
      "b": {
        "type": "string",
        "title": "b"
      }
    },
    "required": ["a", "b"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp16 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp16 && _temp16.then ? _temp16.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Personal(_ref9) {
  var call = _ref9.call,
      host = _ref9.host,
      port = _ref9.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp19 = function _temp19(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp20 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp20 && _temp20.then ? _temp20.then(_temp19) : _temp19(_temp20));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(ImportRawKey, {
    call: callRPC
  }), React.createElement(ListAccounts, {
    call: callRPC
  }), React.createElement(LockAccount, {
    call: callRPC
  }), React.createElement(NewAccount, {
    call: callRPC
  }), React.createElement(UnlockAccount, {
    call: callRPC
  }), React.createElement(SendTransaction, {
    call: callRPC
  }), React.createElement(Sign, {
    call: callRPC
  }), React.createElement(EcRecover, {
    call: callRPC
  }));
}

function CreateSubscription(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "createSubscription",
    "description": "Subscriptions are created with a regular RPC call with etd_subscribe as method and the subscription name as first parameter. If successful it returns the subscription id.",
    "type": "object",
    "properties": {
      "subscriptionName": {
        "type": "string",
        "title": "subscriptionName"
      },
      "aaaaa": {
        "type": "string",
        "title": "aaaaa"
      }
    },
    "required": ["subscriptionName"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function CancelSubscription(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "cancelSubscription",
    "description": "Subscriptions are cancelled with a regular RPC call with etd_unsubscribe as method and the subscription id as first parameter. It returns a bool indicating if the subscription was cancelled successful.",
    "type": "object",
    "properties": {
      "subscriptionID": {
        "type": "string",
        "title": "subscriptionID"
      }
    },
    "required": ["subscriptionID"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SupportedSubscriptions(_ref3) {
  var call = _ref3.call;

  var _React$useState5 = React.useState(),
      values = _React$useState5[0],
      setValues = _React$useState5[1];

  var _React$useState6 = React.useState(),
      errors = _React$useState6[0],
      setErrors = _React$useState6[1];

  var schema = {
    "title": "supportedSubscriptions",
    "description": "newHeads -Fires a notification each time a new header is appended to the chain, including chain reorganizations. Users can use the bloom filter to determine if the block contains logs that are interested to them. -In case of a chain reorganization the subscription will emit all new headers for the new chain. Therefore the subscription can emit multiple headers on the same height.\nlogs -Returns logs that are included in new imported blocks and match the given filter criteria. -In case of a chain reorganization previous sent logs that are on the old chain will be resend with the removed property set to true. Logs from transactions that ended up in the new chain are emitted. Therefore a subscription can emit logs for the same transaction multiple times.",
    "type": "object",
    "properties": {
      "subscriptionObject": {
        "type": "object",
        "properties": {
          "address": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "topics": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "required": ["subscriptionObject"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp6 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp6 && _temp6.then ? _temp6.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function NewPendingTransactions(_ref4) {
  var call = _ref4.call;

  var _React$useState7 = React.useState(),
      values = _React$useState7[0],
      setValues = _React$useState7[1];

  var _React$useState8 = React.useState(),
      errors = _React$useState8[0],
      setErrors = _React$useState8[1];

  var schema = {
    "title": "newPendingTransactions",
    "description": "Returns the hash for all transactions that are added to the pending state and are signed with a key that is available in the node. Tansaction that was previously part of the canonical chain isn’t part of the new canonical chain after a reogranization its again emitted.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp8 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp8 && _temp8.then ? _temp8.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Syncing(_ref5) {
  var call = _ref5.call;

  var _React$useState9 = React.useState(),
      values = _React$useState9[0],
      setValues = _React$useState9[1];

  var _React$useState10 = React.useState(),
      errors = _React$useState10[0],
      setErrors = _React$useState10[1];

  var schema = {
    "title": "syncing",
    "description": "Indicates when the node starts or stops synchronizing. The result can either be a boolean indicating that the synchronization has started (true), finished (false) or an object with various progress indicators.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp10 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp10 && _temp10.then ? _temp10.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Real_time(_ref6) {
  var call = _ref6.call,
      host = _ref6.host,
      port = _ref6.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp13 = function _temp13(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp14 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp14 && _temp14.then ? _temp14.then(_temp13) : _temp13(_temp14));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(CreateSubscription, {
    call: callRPC
  }), React.createElement(CancelSubscription, {
    call: callRPC
  }), React.createElement(SupportedSubscriptions, {
    call: callRPC
  }), React.createElement(NewPendingTransactions, {
    call: callRPC
  }), React.createElement(Syncing, {
    call: callRPC
  }));
}

function Content(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "content",
    "description": "The content inspection property can be queried to list the exact details of all the transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only.\nThe result is an object with two fields pending and queued. Each of these fields are associative arrays, in which each entry maps an origin-address to a batch of scheduled transactions. These batches themselves are maps associating nonces with actual transactions.\nPlease note, there may be multiple transactions associated with the same account and nonce. This can happen if the user broadcast mutliple ones with varying gas allowances (or even complerely different transactions).",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Inspect(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "inspect",
    "description": "The inspect inspection property can be queried to list a textual summary of all the transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only. This is a method specifically tailored to developers to quickly see the transactions in the pool and find any potential issues.\nThe result is an object with two fields pending and queued. Each of these fields are associative arrays, in which each entry maps an origin-address to a batch of scheduled transactions. These batches themselves are maps associating nonces with transactions summary strings.\nPlease note, there may be multiple transactions associated with the same account and nonce. This can happen if the user broadcast mutliple ones with varying gas allowances (or even complerely different transactions).",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Status$1(_ref3) {
  var call = _ref3.call;

  var _React$useState5 = React.useState(),
      values = _React$useState5[0],
      setValues = _React$useState5[1];

  var _React$useState6 = React.useState(),
      errors = _React$useState6[0],
      setErrors = _React$useState6[1];

  var schema = {
    "title": "status",
    "description": "The status inspection property can be queried for the number of transactions currently pending for inclusion in the next block(s), as well as the ones that are being scheduled for future execution only.\nThe result is an object with two fields pending and queued, each of which is a counter representing the number of transactions in that particular state.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp6 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp6 && _temp6.then ? _temp6.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Txpool(_ref4) {
  var call = _ref4.call,
      host = _ref4.host,
      port = _ref4.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp9 = function _temp9(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp10 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp10 && _temp10.then ? _temp10.then(_temp9) : _temp9(_temp10));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(Content, {
    call: callRPC
  }), React.createElement(Inspect, {
    call: callRPC
  }), React.createElement(Status$1, {
    call: callRPC
  }));
}

function HTTPServer(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "HTTPServer",
    "description": "To enable the HTTP server, use the --http flag. 'Getd --http'\nBy default, Getd accepts connections from the loopback interface (127.0.0.1). The default  listening port is 8545. You can customize address and port using  the --http.port and --http.addr flags. 'Getd --http --http.port 3334'\nJSON-RPC method namespaces must be whitelisted in order to be available through the HTTP server.  An RPC error with error code -32602 is generated if you call a namespace that isn’t whitelisted.  The default whitelist allows access to the “etd” and “shh” namespaces. To enable access to  other APIs like account management (“personal”) and debugging (“debug”), they must be  configured via the --http.api flag. We do not recommend enabling such APIs over HTTP,  however, since access to these methods increases the attack surface. 'Getd --http --http.api personal,etd,net,web3'\nSince the HTTP server is reachable from any local application, additional protection is built  into the server to prevent misuse of the API from web pages. If you want enable access to the  API from a web page, you must configure the server to accept Cross-Origin requests with  the --http.corsdomain flag.\nExample: if you want to use Remix with Getd, allow requests from the remix domain. 'Getd --http --http.corsdomain https://remix.ethereum.org' Use --http.corsdomain '*' to enable access from any origin.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function WebSocketServer(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "WebSocketServer",
    "description": "Configuration of the WebSocket endpoint is similar to the HTTP transport. To enable WebSocket  access, use --ws flag. The default WebSocket port is 8546.  The --ws.addr, --ws.port and --ws.api flags can be used to customize settings for the  WebSocket server. 'Getd --ws --ws.port 3334 --ws.api etd,net,web3'\nCross-Origin request protection also applies to the WebSocket server.  Use the --ws.origins flag to allow access to the server from web pages: 'Getd --ws --ws.origins http://myapp.example.com'\nAs with --http.corsdomain, using --ws.origins '*' allows access from any origin.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function IPCServer(_ref3) {
  var call = _ref3.call;

  var _React$useState5 = React.useState(),
      values = _React$useState5[0],
      setValues = _React$useState5[1];

  var _React$useState6 = React.useState(),
      errors = _React$useState6[0],
      setErrors = _React$useState6[1];

  var schema = {
    "title": "IPCServer",
    "description": "JSON-RPC APIs are also provided on a UNIX domain socket. This server is enabled by default  and has access to all JSON-RPC namespaces.\nThe listening socket is placed into the data directory by default. On Linux and macOS, the  default location of the Getd socket is ~/.ethereum/Getd.ipc\nOn Windows, IPC is provided via named pipes. The default location of the Getd pipe is: //./pipe/Getd.ipc\nYou can configure the location of the socket using the --ipcpath flag. IPC can be disabled  using the --ipcdisable flag.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp6 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp6 && _temp6.then ? _temp6.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Json_rpc(_ref4) {
  var call = _ref4.call,
      host = _ref4.host,
      port = _ref4.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp9 = function _temp9(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp10 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp10 && _temp10.then ? _temp10.then(_temp9) : _temp9(_temp10));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(HTTPServer, {
    call: callRPC
  }), React.createElement(WebSocketServer, {
    call: callRPC
  }), React.createElement(IPCServer, {
    call: callRPC
  }));
}

function ProtocalVersion(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "protocalVersion",
    "description": "Returns the current etherdata protocol version.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function BlockNumber(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "blockNumber",
    "description": "Returns the current block number",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Syncing$1(_ref3) {
  var call = _ref3.call;

  var _React$useState5 = React.useState(),
      values = _React$useState5[0],
      setValues = _React$useState5[1];

  var _React$useState6 = React.useState(),
      errors = _React$useState6[0],
      setErrors = _React$useState6[1];

  var schema = {
    "title": "syncing",
    "description": "Returns an object with data about the sync status or false.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp6 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp6 && _temp6.then ? _temp6.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Coinbase(_ref4) {
  var call = _ref4.call;

  var _React$useState7 = React.useState(),
      values = _React$useState7[0],
      setValues = _React$useState7[1];

  var _React$useState8 = React.useState(),
      errors = _React$useState8[0],
      setErrors = _React$useState8[1];

  var schema = {
    "title": "coinbase",
    "description": "Returns the client coinbase address.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp8 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp8 && _temp8.then ? _temp8.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Mining(_ref5) {
  var call = _ref5.call;

  var _React$useState9 = React.useState(),
      values = _React$useState9[0],
      setValues = _React$useState9[1];

  var _React$useState10 = React.useState(),
      errors = _React$useState10[0],
      setErrors = _React$useState10[1];

  var schema = {
    "title": "mining",
    "description": "Returns true if client is actively mining new blocks.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp10 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp10 && _temp10.then ? _temp10.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Hashrate(_ref6) {
  var call = _ref6.call;

  var _React$useState11 = React.useState(),
      values = _React$useState11[0],
      setValues = _React$useState11[1];

  var _React$useState12 = React.useState(),
      errors = _React$useState12[0],
      setErrors = _React$useState12[1];

  var schema = {
    "title": "hashrate",
    "description": "Returns the number of hashes per second that the node is mining with.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp12 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp12 && _temp12.then ? _temp12.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GasPrice(_ref7) {
  var call = _ref7.call;

  var _React$useState13 = React.useState(),
      values = _React$useState13[0],
      setValues = _React$useState13[1];

  var _React$useState14 = React.useState(),
      errors = _React$useState14[0],
      setErrors = _React$useState14[1];

  var schema = {
    "title": "gasPrice",
    "description": "Returns the current price per gas in wei.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp14 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp14 && _temp14.then ? _temp14.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Accounts(_ref8) {
  var call = _ref8.call;

  var _React$useState15 = React.useState(),
      values = _React$useState15[0],
      setValues = _React$useState15[1];

  var _React$useState16 = React.useState(),
      errors = _React$useState16[0],
      setErrors = _React$useState16[1];

  var schema = {
    "title": "accounts",
    "description": "Returns a list of addresses owned by client.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp16 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp16 && _temp16.then ? _temp16.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetBalance(_ref9) {
  var call = _ref9.call;

  var _React$useState17 = React.useState(),
      values = _React$useState17[0],
      setValues = _React$useState17[1];

  var _React$useState18 = React.useState(),
      errors = _React$useState18[0],
      setErrors = _React$useState18[1];

  var schema = {
    "title": "getBalance",
    "description": "Returns the balance of the account of given address.",
    "type": "object",
    "properties": {
      "address": {
        "type": "string",
        "title": "address"
      },
      "tag": {
        "type": "string",
        "title": "tag"
      }
    },
    "required": ["address", "tag"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp18 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp18 && _temp18.then ? _temp18.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetStorageAt(_ref10) {
  var call = _ref10.call;

  var _React$useState19 = React.useState(),
      values = _React$useState19[0],
      setValues = _React$useState19[1];

  var _React$useState20 = React.useState(),
      errors = _React$useState20[0],
      setErrors = _React$useState20[1];

  var schema = {
    "title": "getStorageAt",
    "description": "Returns the value from a storage position at a given address.",
    "type": "object",
    "properties": {
      "address": {
        "type": "string",
        "title": "address"
      },
      "position": {
        "type": "string",
        "title": "position"
      },
      "tag": {
        "type": "string",
        "title": "tag"
      }
    },
    "required": ["address", "position", "tag"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp20 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp20 && _temp20.then ? _temp20.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetTransactionCount(_ref11) {
  var call = _ref11.call;

  var _React$useState21 = React.useState(),
      values = _React$useState21[0],
      setValues = _React$useState21[1];

  var _React$useState22 = React.useState(),
      errors = _React$useState22[0],
      setErrors = _React$useState22[1];

  var schema = {
    "title": "getTransactionCount",
    "description": "Returns the number of transactions sent from an address.",
    "type": "object",
    "properties": {
      "address": {
        "type": "string",
        "title": "address"
      },
      "state": {
        "type": "string",
        "title": "state"
      }
    },
    "required": ["address", "state"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp22 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp22 && _temp22.then ? _temp22.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetTransactionCountByHash(_ref12) {
  var call = _ref12.call;

  var _React$useState23 = React.useState(),
      values = _React$useState23[0],
      setValues = _React$useState23[1];

  var _React$useState24 = React.useState(),
      errors = _React$useState24[0],
      setErrors = _React$useState24[1];

  var schema = {
    "title": "getTransactionCountByHash",
    "description": "Returns the number of transactions in a block from a block matching the given block hash.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      },
      "quantity_tag": {
        "type": "string",
        "title": "quantity_tag"
      }
    },
    "required": ["data", "quantity_tag"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp24 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp24 && _temp24.then ? _temp24.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetBlockTransactionCountByHash(_ref13) {
  var call = _ref13.call;

  var _React$useState25 = React.useState(),
      values = _React$useState25[0],
      setValues = _React$useState25[1];

  var _React$useState26 = React.useState(),
      errors = _React$useState26[0],
      setErrors = _React$useState26[1];

  var schema = {
    "title": "getBlockTransactionCountByHash",
    "description": "Returns the number of transactions in a block from a block matching the given block hash.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      }
    },
    "required": ["data"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp26 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp26 && _temp26.then ? _temp26.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetBlockTransactionCountByNumber(_ref14) {
  var call = _ref14.call;

  var _React$useState27 = React.useState(),
      values = _React$useState27[0],
      setValues = _React$useState27[1];

  var _React$useState28 = React.useState(),
      errors = _React$useState28[0],
      setErrors = _React$useState28[1];

  var schema = {
    "title": "getBlockTransactionCountByNumber",
    "description": "Returns the number of transactions in a block matching the given block number.",
    "type": "object",
    "properties": {
      "quantity_tag": {
        "type": "string",
        "title": "quantity_tag"
      }
    },
    "required": ["quantity_tag"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp28 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp28 && _temp28.then ? _temp28.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetUncleCountByBlockHash(_ref15) {
  var call = _ref15.call;

  var _React$useState29 = React.useState(),
      values = _React$useState29[0],
      setValues = _React$useState29[1];

  var _React$useState30 = React.useState(),
      errors = _React$useState30[0],
      setErrors = _React$useState30[1];

  var schema = {
    "title": "getUncleCountByBlockHash",
    "description": "Returns the number of uncles in a block from a block matching the given block hash.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      }
    },
    "required": ["data"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp30 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp30 && _temp30.then ? _temp30.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetUncleCountByBlockNumber(_ref16) {
  var call = _ref16.call;

  var _React$useState31 = React.useState(),
      values = _React$useState31[0],
      setValues = _React$useState31[1];

  var _React$useState32 = React.useState(),
      errors = _React$useState32[0],
      setErrors = _React$useState32[1];

  var schema = {
    "title": "getUncleCountByBlockNumber",
    "description": "Returns the number of uncles in a block from a block matching the given block number.",
    "type": "object",
    "properties": {
      "quantity_tag": {
        "type": "string",
        "title": "quantity_tag"
      }
    },
    "required": ["quantity_tag"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp32 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp32 && _temp32.then ? _temp32.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetCode(_ref17) {
  var call = _ref17.call;

  var _React$useState33 = React.useState(),
      values = _React$useState33[0],
      setValues = _React$useState33[1];

  var _React$useState34 = React.useState(),
      errors = _React$useState34[0],
      setErrors = _React$useState34[1];

  var schema = {
    "title": "getCode",
    "description": "Returns code at a given address.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      },
      "quantity_tag": {
        "type": "string",
        "title": "quantity_tag"
      }
    },
    "required": ["data", "quantity_tag"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp34 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp34 && _temp34.then ? _temp34.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Sign$1(_ref18) {
  var call = _ref18.call;

  var _React$useState35 = React.useState(),
      values = _React$useState35[0],
      setValues = _React$useState35[1];

  var _React$useState36 = React.useState(),
      errors = _React$useState36[0],
      setErrors = _React$useState36[1];

  var schema = {
    "title": "sign",
    "description": 'The sign method calculates an etherdata specific signature with sign(keccak256("\\x19etherdata Signed Message:\\n" + len(message) + message))).\nBy adding a prefix to the message makes the calculated signature recognisable as an etherdata specific signature. This prevents misuse where a malicious DApp can sign arbitrary data (e.g. transaction) and use the signature to impersonate the victim.\nNote the address to sign with must be unlocked.',
    "type": "object",
    "properties": {
      "a": {
        "type": "string",
        "title": "a"
      },
      "b": {
        "type": "string",
        "title": "b"
      }
    },
    "required": ["a", "b"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp36 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp36 && _temp36.then ? _temp36.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SignTransaction(_ref19) {
  var call = _ref19.call;

  var _React$useState37 = React.useState(),
      values = _React$useState37[0],
      setValues = _React$useState37[1];

  var _React$useState38 = React.useState(),
      errors = _React$useState38[0],
      setErrors = _React$useState38[1];

  var schema = {
    "title": "signTransaction",
    "description": "Signs a transaction that can be submitted to the network at a later time using with eth_sendRawTransaction.",
    "type": "object",
    "properties": {
      "obj": {
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "title": "from"
          },
          "to": {
            "type": "string",
            "title": "to"
          },
          "gas": {
            "type": "string",
            "title": "gas"
          },
          "gasPrice": {
            "type": "string",
            "title": "gasPrice"
          },
          "value": {
            "type": "string",
            "title": "value"
          },
          "data": {
            "type": "string",
            "title": "data"
          },
          "nonce": {
            "type": "string",
            "title": "nonce"
          }
        }
      }
    },
    "required": ["obj"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp38 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp38 && _temp38.then ? _temp38.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SendTranscation(_ref20) {
  var call = _ref20.call;

  var _React$useState39 = React.useState(),
      values = _React$useState39[0],
      setValues = _React$useState39[1];

  var _React$useState40 = React.useState(),
      errors = _React$useState40[0],
      setErrors = _React$useState40[1];

  var schema = {
    "title": "sendTranscation",
    "description": "Creates new message call transaction or a contract creation, if the data field contains code.",
    "type": "object",
    "properties": {
      "obj": {
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "title": "from"
          },
          "to": {
            "type": "string",
            "title": "to"
          },
          "gas": {
            "type": "string",
            "title": "gas"
          },
          "gasPrice": {
            "type": "string",
            "title": "gasPrice"
          },
          "value": {
            "type": "string",
            "title": "value"
          },
          "data": {
            "type": "string",
            "title": "data"
          },
          "nonce": {
            "type": "string",
            "title": "nonce"
          }
        }
      }
    },
    "required": ["obj"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp40 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp40 && _temp40.then ? _temp40.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SendRawTransaction(_ref21) {
  var call = _ref21.call;

  var _React$useState41 = React.useState(),
      values = _React$useState41[0],
      setValues = _React$useState41[1];

  var _React$useState42 = React.useState(),
      errors = _React$useState42[0],
      setErrors = _React$useState42[1];

  var schema = {
    "title": "sendRawTransaction",
    "description": "Creates new message call transaction or a contract creation for signed transactions.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      }
    },
    "required": ["data"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp42 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp42 && _temp42.then ? _temp42.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Call(_ref22) {
  var call = _ref22.call;

  var _React$useState43 = React.useState(),
      values = _React$useState43[0],
      setValues = _React$useState43[1];

  var _React$useState44 = React.useState(),
      errors = _React$useState44[0],
      setErrors = _React$useState44[1];

  var schema = {
    "title": "call",
    "description": "Executes a new message call immediately without creating a transaction on the block chain.",
    "type": "object",
    "properties": {
      "obj": {
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "title": "from"
          },
          "to": {
            "type": "string",
            "title": "to"
          },
          "gas": {
            "type": "string",
            "title": "gas"
          },
          "gasPrice": {
            "type": "string",
            "title": "gasPrice"
          },
          "value": {
            "type": "string",
            "title": "value"
          },
          "data": {
            "type": "string",
            "title": "data"
          }
        }
      },
      "quantity_tag": {
        "type": "string",
        "title": "quantity_tag"
      }
    },
    "required": ["obj", "quantity_tag"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp44 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp44 && _temp44.then ? _temp44.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function EstimateGas(_ref23) {
  var call = _ref23.call;

  var _React$useState45 = React.useState(),
      values = _React$useState45[0],
      setValues = _React$useState45[1];

  var _React$useState46 = React.useState(),
      errors = _React$useState46[0],
      setErrors = _React$useState46[1];

  var schema = {
    "title": "estimateGas",
    "description": "Generates and returns an estimate of how much gas is necessary to allow the transaction to complete. The transaction will not be added to the blockchain. Note that the estimate may be significantly more than the amount of gas actually used by the transaction, for a variety of reasons including EVM mechanics and node performance.",
    "type": "object",
    "properties": {
      "obj": {
        "type": "object",
        "properties": {
          "from": {
            "type": "string",
            "title": "from"
          },
          "to": {
            "type": "string",
            "title": "to"
          },
          "gas": {
            "type": "string",
            "title": "gas"
          },
          "gasPrice": {
            "type": "string",
            "title": "gasPrice"
          },
          "value": {
            "type": "string",
            "title": "value"
          },
          "data": {
            "type": "string",
            "title": "data"
          }
        }
      },
      "quantity_tag": {
        "type": "string",
        "title": "quantity_tag"
      }
    },
    "required": ["obj", "quantity_tag"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp46 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp46 && _temp46.then ? _temp46.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetBlockByHash(_ref24) {
  var call = _ref24.call;

  var _React$useState47 = React.useState(),
      values = _React$useState47[0],
      setValues = _React$useState47[1];

  var _React$useState48 = React.useState(),
      errors = _React$useState48[0],
      setErrors = _React$useState48[1];

  var schema = {
    "title": "getBlockByHash",
    "description": "Returns information about a block by hash.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      },
      "Bool": {
        "type": "boolean",
        "title": "Bool"
      }
    },
    "required": ["data", "Bool"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp48 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp48 && _temp48.then ? _temp48.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetBlockByNumber(_ref25) {
  var call = _ref25.call;

  var _React$useState49 = React.useState(),
      values = _React$useState49[0],
      setValues = _React$useState49[1];

  var _React$useState50 = React.useState(),
      errors = _React$useState50[0],
      setErrors = _React$useState50[1];

  var schema = {
    "title": "getBlockByNumber",
    "description": "Returns information about a block by block number.",
    "type": "object",
    "properties": {
      "quantity_tag": {
        "type": "string",
        "title": "quantity_tag"
      },
      "Bool": {
        "type": "boolean",
        "title": "Bool"
      }
    },
    "required": ["quantity_tag", "Bool"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp50 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp50 && _temp50.then ? _temp50.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetTransactionByHash(_ref26) {
  var call = _ref26.call;

  var _React$useState51 = React.useState(),
      values = _React$useState51[0],
      setValues = _React$useState51[1];

  var _React$useState52 = React.useState(),
      errors = _React$useState52[0],
      setErrors = _React$useState52[1];

  var schema = {
    "title": "getTransactionByHash",
    "description": "Returns the information about a transaction requested by transaction hash.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      }
    },
    "required": ["data"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp52 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp52 && _temp52.then ? _temp52.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetTransactionByHashAndIndex(_ref27) {
  var call = _ref27.call;

  var _React$useState53 = React.useState(),
      values = _React$useState53[0],
      setValues = _React$useState53[1];

  var _React$useState54 = React.useState(),
      errors = _React$useState54[0],
      setErrors = _React$useState54[1];

  var schema = {
    "title": "getTransactionByHashAndIndex",
    "description": "Returns information about a transaction by block hash and transaction index position.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      },
      "quantity": {
        "type": "string",
        "title": "quantity"
      }
    },
    "required": ["data", "quantity"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp54 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp54 && _temp54.then ? _temp54.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetTransactionByBlockNumberAndIndex(_ref28) {
  var call = _ref28.call;

  var _React$useState55 = React.useState(),
      values = _React$useState55[0],
      setValues = _React$useState55[1];

  var _React$useState56 = React.useState(),
      errors = _React$useState56[0],
      setErrors = _React$useState56[1];

  var schema = {
    "title": "getTransactionByBlockNumberAndIndex",
    "description": "Returns information about a transaction by block number and transaction index position.",
    "type": "object",
    "properties": {
      "quantity_tag": {
        "type": "string",
        "title": "quantity_tag"
      },
      "quantity": {
        "type": "string",
        "title": "quantity"
      }
    },
    "required": ["quantity_tag", "quantity"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp56 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp56 && _temp56.then ? _temp56.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetTransactionReceipt(_ref29) {
  var call = _ref29.call;

  var _React$useState57 = React.useState(),
      values = _React$useState57[0],
      setValues = _React$useState57[1];

  var _React$useState58 = React.useState(),
      errors = _React$useState58[0],
      setErrors = _React$useState58[1];

  var schema = {
    "title": "getTransactionReceipt",
    "description": "Returns the receipt of a transaction by transaction hash. Note That the receipt is not available for pending transactions.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      }
    },
    "required": ["data"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp58 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp58 && _temp58.then ? _temp58.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetUncleByBlockHashAndIndex(_ref30) {
  var call = _ref30.call;

  var _React$useState59 = React.useState(),
      values = _React$useState59[0],
      setValues = _React$useState59[1];

  var _React$useState60 = React.useState(),
      errors = _React$useState60[0],
      setErrors = _React$useState60[1];

  var schema = {
    "title": "getUncleByBlockHashAndIndex",
    "description": "eturns information about a uncle of a block by hash and uncle index position.",
    "type": "object",
    "properties": {
      "data": {
        "type": "string",
        "title": "data"
      },
      "quantity": {
        "type": "string",
        "title": "quantity"
      }
    },
    "required": ["data", "quantity"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp60 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp60 && _temp60.then ? _temp60.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetUncleByBlockNumberAndIndex(_ref31) {
  var call = _ref31.call;

  var _React$useState61 = React.useState(),
      values = _React$useState61[0],
      setValues = _React$useState61[1];

  var _React$useState62 = React.useState(),
      errors = _React$useState62[0],
      setErrors = _React$useState62[1];

  var schema = {
    "title": "getUncleByBlockNumberAndIndex",
    "description": "Returns information about a uncle of a block by number and uncle index position.",
    "type": "object",
    "properties": {
      "quantity_tag": {
        "type": "string",
        "title": "quantity_tag"
      },
      "quantity": {
        "type": "string",
        "title": "quantity"
      }
    },
    "required": ["quantity_tag", "quantity"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp62 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp62 && _temp62.then ? _temp62.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetCompliers(_ref32) {
  var call = _ref32.call;

  var _React$useState63 = React.useState(),
      values = _React$useState63[0],
      setValues = _React$useState63[1];

  var _React$useState64 = React.useState(),
      errors = _React$useState64[0],
      setErrors = _React$useState64[1];

  var schema = {
    "title": "getCompliers",
    "description": "Returns a list of available compilers in the client.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp64 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp64 && _temp64.then ? _temp64.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function CompileSolidity(_ref33) {
  var call = _ref33.call;

  var _React$useState65 = React.useState(),
      values = _React$useState65[0],
      setValues = _React$useState65[1];

  var _React$useState66 = React.useState(),
      errors = _React$useState66[0],
      setErrors = _React$useState66[1];

  var schema = {
    "title": "compileSolidity",
    "description": "Returns compiled solidity code.",
    "type": "object",
    "properties": {
      "String": {
        "type": "string",
        "title": "String"
      }
    },
    "required": ["String"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp66 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp66 && _temp66.then ? _temp66.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function ComplpieLLL(_ref34) {
  var call = _ref34.call;

  var _React$useState67 = React.useState(),
      values = _React$useState67[0],
      setValues = _React$useState67[1];

  var _React$useState68 = React.useState(),
      errors = _React$useState68[0],
      setErrors = _React$useState68[1];

  var schema = {
    "title": "complpieLLL",
    "description": "Returns compiled LLL code.",
    "type": "object",
    "properties": {
      "String": {
        "type": "string",
        "title": "String"
      }
    },
    "required": ["String"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp68 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp68 && _temp68.then ? _temp68.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function ComplieSerpent(_ref35) {
  var call = _ref35.call;

  var _React$useState69 = React.useState(),
      values = _React$useState69[0],
      setValues = _React$useState69[1];

  var _React$useState70 = React.useState(),
      errors = _React$useState70[0],
      setErrors = _React$useState70[1];

  var schema = {
    "title": "complieSerpent",
    "description": "Returns compiled serpent code.",
    "type": "object",
    "properties": {
      "String": {
        "type": "string",
        "title": "String"
      }
    },
    "required": ["String"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp70 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp70 && _temp70.then ? _temp70.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function NewFilter(_ref36) {
  var call = _ref36.call;

  var _React$useState71 = React.useState(),
      values = _React$useState71[0],
      setValues = _React$useState71[1];

  var _React$useState72 = React.useState(),
      errors = _React$useState72[0],
      setErrors = _React$useState72[1];

  var schema = {
    "title": "newFilter",
    "description": "Creates a filter object, based on filter options, to notify when the state changes (logs). To check if the state has changed, call eth_getFilterChanges.\nA note on specifying topic filters Topics are order-dependent. A transaction with a log with topics [A, B] will be matched by the following topic filters\n-[] “anything” -[A] “A in first position (and anything after)” -[null, B] “anything in first position AND B in second position (and anything after)” -[A, B] “A in first position AND B in second position (and anything after)” -[[A, B], [A, B]] “(A OR B) in first position AND (A OR B) in second position (and anything after)”",
    "type": "object",
    "properties": {
      "obj": {
        "type": "object",
        "properties": {
          "fromBlock": {
            "type": "string",
            "title": "fromBlock"
          },
          "toBlock": {
            "type": "string",
            "title": "toBlock"
          },
          "address": {
            "type": "string",
            "title": "address"
          },
          "topics": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "required": ["obj"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp72 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp72 && _temp72.then ? _temp72.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function NewBlockFilter(_ref37) {
  var call = _ref37.call;

  var _React$useState73 = React.useState(),
      values = _React$useState73[0],
      setValues = _React$useState73[1];

  var _React$useState74 = React.useState(),
      errors = _React$useState74[0],
      setErrors = _React$useState74[1];

  var schema = {
    "title": "newBlockFilter",
    "description": "Creates a filter in the node, to notify when a new block arrives. To check if the state has changed, call eth_getFilterChanges.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp74 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp74 && _temp74.then ? _temp74.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function NewPendingTransactionFilter(_ref38) {
  var call = _ref38.call;

  var _React$useState75 = React.useState(),
      values = _React$useState75[0],
      setValues = _React$useState75[1];

  var _React$useState76 = React.useState(),
      errors = _React$useState76[0],
      setErrors = _React$useState76[1];

  var schema = {
    "title": "newPendingTransactionFilter",
    "description": "Creates a filter in the node, to notify when new pending transactions arrive. To check if the state has changed, call eth_getFilterChanges.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp76 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp76 && _temp76.then ? _temp76.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function UninstallFilter(_ref39) {
  var call = _ref39.call;

  var _React$useState77 = React.useState(),
      values = _React$useState77[0],
      setValues = _React$useState77[1];

  var _React$useState78 = React.useState(),
      errors = _React$useState78[0],
      setErrors = _React$useState78[1];

  var schema = {
    "title": "uninstallFilter",
    "description": "Uninstalls a filter with given id. Should always be called when watch is no longer needed. Additonally Filters timeout when they aren’t requested with eth_getFilterChanges. for a period of time.",
    "type": "object",
    "properties": {
      "quantity": {
        "type": "string",
        "title": "quantity"
      }
    },
    "required": ["quantity"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp78 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp78 && _temp78.then ? _temp78.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetFilterChanges(_ref40) {
  var call = _ref40.call;

  var _React$useState79 = React.useState(),
      values = _React$useState79[0],
      setValues = _React$useState79[1];

  var _React$useState80 = React.useState(),
      errors = _React$useState80[0],
      setErrors = _React$useState80[1];

  var schema = {
    "title": "getFilterChanges",
    "description": "Polling method for a filter, which returns an array of logs which occurred since last poll.",
    "type": "object",
    "properties": {
      "quantity": {
        "type": "string",
        "title": "quantity"
      }
    },
    "required": ["quantity"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp80 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp80 && _temp80.then ? _temp80.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetFilterLogs(_ref41) {
  var call = _ref41.call;

  var _React$useState81 = React.useState(),
      values = _React$useState81[0],
      setValues = _React$useState81[1];

  var _React$useState82 = React.useState(),
      errors = _React$useState82[0],
      setErrors = _React$useState82[1];

  var schema = {
    "title": "getFilterLogs",
    "description": "Returns an array of all logs matching filter with given id.",
    "type": "object",
    "properties": {
      "quantity": {
        "type": "string",
        "title": "quantity"
      }
    },
    "required": ["quantity"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp82 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp82 && _temp82.then ? _temp82.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetLogs(_ref42) {
  var call = _ref42.call;

  var _React$useState83 = React.useState(),
      values = _React$useState83[0],
      setValues = _React$useState83[1];

  var _React$useState84 = React.useState(),
      errors = _React$useState84[0],
      setErrors = _React$useState84[1];

  var schema = {
    "title": "getLogs",
    "description": "Returns an array of all logs matching a given filter object.",
    "type": "object",
    "properties": {
      "obj": {
        "type": "object",
        "properties": {
          "fromBlock": {
            "type": "string",
            "title": "fromBlock"
          },
          "toBlock": {
            "type": "string",
            "title": "toBlock"
          },
          "address": {
            "type": "string",
            "title": "address"
          },
          "topics": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "blockhash": {
            "type": "string",
            "title": "blockhash"
          }
        }
      }
    },
    "required": ["obj"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp84 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp84 && _temp84.then ? _temp84.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function GetWork(_ref43) {
  var call = _ref43.call;

  var _React$useState85 = React.useState(),
      values = _React$useState85[0],
      setValues = _React$useState85[1];

  var _React$useState86 = React.useState(),
      errors = _React$useState86[0],
      setErrors = _React$useState86[1];

  var schema = {
    "title": "getWork",
    "description": "Returns the hash of the current block, the seedHash, and the boundary condition to be met (“target”).",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp86 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp86 && _temp86.then ? _temp86.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SubmitWork(_ref44) {
  var call = _ref44.call;

  var _React$useState87 = React.useState(),
      values = _React$useState87[0],
      setValues = _React$useState87[1];

  var _React$useState88 = React.useState(),
      errors = _React$useState88[0],
      setErrors = _React$useState88[1];

  var schema = {
    "title": "submitWork",
    "description": "Used for submitting a proof-of-work solution.",
    "type": "object",
    "properties": {
      "a": {
        "type": "string",
        "title": "a"
      },
      "b": {
        "type": "string",
        "title": "b"
      },
      "c": {
        "type": "string",
        "title": "c"
      }
    },
    "required": ["a", "b", "c"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp88 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp88 && _temp88.then ? _temp88.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SubmitHashrate(_ref45) {
  var call = _ref45.call;

  var _React$useState89 = React.useState(),
      values = _React$useState89[0],
      setValues = _React$useState89[1];

  var _React$useState90 = React.useState(),
      errors = _React$useState90[0],
      setErrors = _React$useState90[1];

  var schema = {
    "title": "submitHashrate",
    "description": "Used for submitting mining hashrate.",
    "type": "object",
    "properties": {
      "Hashrate": {
        "type": "string",
        "title": "Hashrate"
      },
      "ID": {
        "type": "string",
        "title": "ID"
      }
    },
    "required": ["Hashrate", "ID"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp90 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp90 && _temp90.then ? _temp90.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Json_rpc_methods(_ref46) {
  var call = _ref46.call,
      host = _ref46.host,
      port = _ref46.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp93 = function _temp93(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp94 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp94 && _temp94.then ? _temp94.then(_temp93) : _temp93(_temp94));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(ProtocalVersion, {
    call: callRPC
  }), React.createElement(BlockNumber, {
    call: callRPC
  }), React.createElement(Syncing$1, {
    call: callRPC
  }), React.createElement(Coinbase, {
    call: callRPC
  }), React.createElement(Mining, {
    call: callRPC
  }), React.createElement(Hashrate, {
    call: callRPC
  }), React.createElement(GasPrice, {
    call: callRPC
  }), React.createElement(Accounts, {
    call: callRPC
  }), React.createElement(GetBalance, {
    call: callRPC
  }), React.createElement(GetStorageAt, {
    call: callRPC
  }), React.createElement(GetTransactionCount, {
    call: callRPC
  }), React.createElement(GetTransactionCountByHash, {
    call: callRPC
  }), React.createElement(GetBlockTransactionCountByHash, {
    call: callRPC
  }), React.createElement(GetBlockTransactionCountByNumber, {
    call: callRPC
  }), React.createElement(GetUncleCountByBlockHash, {
    call: callRPC
  }), React.createElement(GetUncleCountByBlockNumber, {
    call: callRPC
  }), React.createElement(GetCode, {
    call: callRPC
  }), React.createElement(Sign$1, {
    call: callRPC
  }), React.createElement(SignTransaction, {
    call: callRPC
  }), React.createElement(SendTranscation, {
    call: callRPC
  }), React.createElement(SendRawTransaction, {
    call: callRPC
  }), React.createElement(Call, {
    call: callRPC
  }), React.createElement(EstimateGas, {
    call: callRPC
  }), React.createElement(GetBlockByHash, {
    call: callRPC
  }), React.createElement(GetBlockByNumber, {
    call: callRPC
  }), React.createElement(GetTransactionByHash, {
    call: callRPC
  }), React.createElement(GetTransactionByHashAndIndex, {
    call: callRPC
  }), React.createElement(GetTransactionByBlockNumberAndIndex, {
    call: callRPC
  }), React.createElement(GetTransactionReceipt, {
    call: callRPC
  }), React.createElement(GetUncleByBlockHashAndIndex, {
    call: callRPC
  }), React.createElement(GetUncleByBlockNumberAndIndex, {
    call: callRPC
  }), React.createElement(GetCompliers, {
    call: callRPC
  }), React.createElement(CompileSolidity, {
    call: callRPC
  }), React.createElement(ComplpieLLL, {
    call: callRPC
  }), React.createElement(ComplieSerpent, {
    call: callRPC
  }), React.createElement(NewFilter, {
    call: callRPC
  }), React.createElement(NewBlockFilter, {
    call: callRPC
  }), React.createElement(NewPendingTransactionFilter, {
    call: callRPC
  }), React.createElement(UninstallFilter, {
    call: callRPC
  }), React.createElement(GetFilterChanges, {
    call: callRPC
  }), React.createElement(GetFilterLogs, {
    call: callRPC
  }), React.createElement(GetLogs, {
    call: callRPC
  }), React.createElement(GetWork, {
    call: callRPC
  }), React.createElement(SubmitWork, {
    call: callRPC
  }), React.createElement(SubmitHashrate, {
    call: callRPC
  }));
}

function Getdashrate(_ref) {
  var call = _ref.call;

  var _React$useState = React.useState(),
      values = _React$useState[0],
      setValues = _React$useState[1];

  var _React$useState2 = React.useState(),
      errors = _React$useState2[0],
      setErrors = _React$useState2[1];

  var schema = {
    "title": "Getdashrate",
    "description": "Get your hashrate in H/s (Hash operations per second).",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp2 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SetExtra(_ref2) {
  var call = _ref2.call;

  var _React$useState3 = React.useState(),
      values = _React$useState3[0],
      setValues = _React$useState3[1];

  var _React$useState4 = React.useState(),
      errors = _React$useState4[0],
      setErrors = _React$useState4[1];

  var schema = {
    "title": "setExtra",
    "description": "Sets the extra data a miner can include when miner blocks. This is capped at 32 bytes.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp4 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SetGasPrice(_ref3) {
  var call = _ref3.call;

  var _React$useState5 = React.useState(),
      values = _React$useState5[0],
      setValues = _React$useState5[1];

  var _React$useState6 = React.useState(),
      errors = _React$useState6[0],
      setErrors = _React$useState6[1];

  var schema = {
    "title": "setGasPrice",
    "description": "Sets the minimal accepted gas price when mining transactions. Any transactions that are below this limit are excluded from the mining process.",
    "type": "object",
    "properties": {
      "price": {
        "type": "number",
        "title": "price"
      }
    },
    "required": ["price"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp6 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp6 && _temp6.then ? _temp6.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Start(_ref4) {
  var call = _ref4.call;

  var _React$useState7 = React.useState(),
      values = _React$useState7[0],
      setValues = _React$useState7[1];

  var _React$useState8 = React.useState(),
      errors = _React$useState8[0],
      setErrors = _React$useState8[1];

  var schema = {
    "title": "start",
    "description": "Start the CPU mining process with the given number of threads and generate a new DAG if need be.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp8 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp8 && _temp8.then ? _temp8.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Stop(_ref5) {
  var call = _ref5.call;

  var _React$useState9 = React.useState(),
      values = _React$useState9[0],
      setValues = _React$useState9[1];

  var _React$useState10 = React.useState(),
      errors = _React$useState10[0],
      setErrors = _React$useState10[1];

  var schema = {
    "title": "stop",
    "description": "Stop the CPU mining operation.",
    "type": "object",
    "properties": {},
    "required": []
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp10 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp10 && _temp10.then ? _temp10.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function SetEtherbase(_ref6) {
  var call = _ref6.call;

  var _React$useState11 = React.useState(),
      values = _React$useState11[0],
      setValues = _React$useState11[1];

  var _React$useState12 = React.useState(),
      errors = _React$useState12[0],
      setErrors = _React$useState12[1];

  var schema = {
    "title": "setEtherbase",
    "description": "Sets the etherbase, where mining rewards will go.",
    "type": "object",
    "properties": {
      "etherbase": {
        "type": "string",
        "title": "etherbase"
      }
    },
    "required": ["etherbase"]
  };
  return React.createElement(material.Card, {
    className: "form-item",
    variant: "outlined"
  }, values && React.createElement(material.Alert, null, React.createElement("div", null, values)), errors && React.createElement(material.Alert, {
    severity: "error"
  }, React.createElement("div", null, errors)), React.createElement(materialUi.MuiForm5, {
    schema: schema,
    onSubmit: function (v) {
      try {
        setErrors(undefined);
        setValues(undefined);

        var _temp12 = _catch(function () {
          return Promise.resolve(call({
            params: Object.values(v.formData),
            methodName: ""
          })).then(function (result) {
            if (typeof result === "object") {
              setValues(JSON.stringify(result, undefined, 2));
            } else {
              setValues(result ? result.toString() : "ok");
            }
          });
        }, function (err) {
          setErrors(err ? "" + err : "error");
        });

        return Promise.resolve(_temp12 && _temp12.then ? _temp12.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    }
  }));
}
function Miner(_ref7) {
  var call = _ref7.call,
      host = _ref7.host,
      port = _ref7.port;
  var callRPC = React.useCallback(function (param) {
    try {
      var _exit2 = false;

      var _temp15 = function _temp15(_result) {
        if (_exit2) return _result;
        var transport = new clientJs.HTTPTransport(host + ":" + port);
        var client = new clientJs.Client(new clientJs.RequestManager([transport]));
        return Promise.resolve(client.request({
          method: param.methodName,
          params: param.params
        }));
      };

      var _temp16 = function () {
        if (call !== undefined) {
          _exit2 = true;
          return Promise.resolve(call(param));
        }
      }();

      return Promise.resolve(_temp16 && _temp16.then ? _temp16.then(_temp15) : _temp15(_temp16));
    } catch (e) {
      return Promise.reject(e);
    }
  }, [host, port, call]);
  return React.createElement("div", null, React.createElement(Getdashrate, {
    call: callRPC
  }), React.createElement(SetExtra, {
    call: callRPC
  }), React.createElement(SetGasPrice, {
    call: callRPC
  }), React.createElement(Start, {
    call: callRPC
  }), React.createElement(Stop, {
    call: callRPC
  }), React.createElement(SetEtherbase, {
    call: callRPC
  }));
}

exports.Admin = Admin;
exports.Clique = Clique;
exports.Debug = Debug;
exports.Etd = Etd;
exports.Json_rpc = Json_rpc;
exports.Json_rpc_methods = Json_rpc_methods;
exports.Miner = Miner;
exports.Personal = Personal;
exports.Real_time = Real_time;
exports.Txpool = Txpool;
//# sourceMappingURL=index.js.map
